---
title: "Indicate user typing"
url: https://docs.gleap.ai/en/reference/rest-api/indicate-user-typing
method: POST
path: "/tickets/{ticketId}/typing"
api: "API Reference"
tag: "Ticket"
operationId: "IndicateUserTyping"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Indicate user typing

`POST https://api.gleap.io/v3/tickets/{ticketId}/typing`

Indicate user is typing.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `ticketId` (string, required)

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `typing` (boolean, required)

## Example request

```bash
curl --request POST \
  --url 'https://api.gleap.io/v3/tickets/{ticketId}/typing' \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "typing": true
}'
```

## Responses

### 200 (`application/json`)

Ok
